# use refGene.txt and a file with gene desc (kgXref.txt or refLink.txt)

# refLink seems to be a collection of all known protein coding genes?
# extract those belongs to refGene

import os.path

#path = "/home/xzhou/data/hg19/"
#path = "/home/xzhou/data/danRer7/"
path = "/home/xzhou/data/mm9/"


gset = set()
with open(os.path.join(path, "refGene.txt")) as fin:
	for line in fin:
		lst = line.rstrip().split('\t')
		gset.add(lst[1])
		gset.add(lst[12])


n2desc = {}
# key: name, mrnaAcc, or protAcc of refLink
# val: product of refLink
with open(os.path.join(path, "refLink.txt")) as fin:
	for line in fin:
		lst = line.rstrip().split('\t')
		n2desc[lst[0]] = lst[1]
		n2desc[lst[2]] = lst[1]
		n2desc[lst[3]] = lst[1]


for g in gset:
	if g in n2desc:
		print '{0}\t{1}'.format(g, n2desc[g])
